#if !defined(AFX_DLGWIZARDFIRST_H__92A9D54C_E465_432B_AB88_20D8E8CB9728__INCLUDED_)
#define AFX_DLGWIZARDFIRST_H__92A9D54C_E465_432B_AB88_20D8E8CB9728__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgWizardFirst.h : header file
//
#include "DlgWizardSecond.h"
/////////////////////////////////////////////////////////////////////////////
// CDlgWizardFirst dialog
class CDlgWizardSecond;
class CDlgWizardFirst : public CDialog
{
// Construction
public:
	CDlgWizardFirst(CWnd* pParent = NULL);   // standard constructor
    void InitialDlaData();
// Dialog Data
	//{{AFX_DATA(CDlgWizardFirst)
	enum { IDD = IDD_DLG_SMWIZARD1 };
	int		m_rule;
	CString	m_rulename;
	CString	m_rulediscription;
	//}}AFX_DATA
    CDlgWizardSecond* m_secondway;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgWizardFirst)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

public:
	// Generated message map functions
	//{{AFX_MSG(CDlgWizardFirst)
	afx_msg void OnBtnNext();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnRadio4();
	afx_msg void OnRadio5();
	afx_msg void OnRadio6();
	afx_msg void OnRadio7();
	afx_msg void OnRadio8();
	virtual BOOL OnInitDialog();
	afx_msg void OnRadio9();
	virtual void OnCancel();
	afx_msg void OnClose();
	virtual void OnOK();
	afx_msg void OnChangeEditRulename();
	afx_msg void OnMove(int x, int y);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGWIZARDFIRST_H__92A9D54C_E465_432B_AB88_20D8E8CB9728__INCLUDED_)
